Subject: Re: git-svn dcommit failure

From: Eric Wong <[email-masked]>
Date: Tue, 5 Jun 2007 03:17:44 -0700

Florian Weimer <[email-masked]> wrote:
> * Pierre Habouzit:
> 
> > On Tue, May 29, 2007 at 11:35:10AM +0200, Florian Weimer wrote:
> >> * Florian Weimer:
> >> 
> >> > This with git-svn 1.5.1.4-2 on something that is quite close to Debian
> >> > etch.
> >> 
> >> Same issue with 1.5.2~rc3-2.
> >
> >   Are you using ControlMaster in your ssh setup in auto/autoask mode? (I
> > assume your repository is svn+ssh). If yes, then you *have* to start a
> > persistent ssh connection before you do anything else:
> 
> No.  It's svn+ssh (with a custom connect script), but without the
> controlchan extension.  Subversion works fine and lets me commit
> changes.
> 
> After manually committing the offending changes via Subversion, I
> git-svn has begun to work again, too (but I haven't yet tried to
> change the same files).

Would upgrading to 1.5.2 final have helped?

Looking at 6442754d6cc0056cf5b69b43d218f8b6d317e7f5 (which was made
right before 1.5.2 final), the bug it fixed could've actually affected
modification-only commits, too.

If it's a public repository, could I look at the changeset that was
giving you trouble, and the [svn-remote] section of your .git/config
file?  Thanks.

-- 
Eric Wong